Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 179702 - media-video/usb-pwc-re-20070524.042701 version bump
Summary: media-video/usb-pwc-re-20070524.042701 version bump
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-25 01:41 UTC by Nicholas Doyle
Modified: 2007-09-20 12:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicholas Doyle 2007-05-25 01:41:18 UTC
The current version of usb-pwc-re in portage (20061023.042702-r1) has some bugs. The bug I came across does not allow webcams to be used with Flash. I updated to the latest snapshot for today (20070524.042701) and I no longer experience this bug.

The only change that needs to be made to the ebuild is that in src_unpack() the config.h.patch should no longer be applied.

Reproducible: Always

Steps to Reproduce:
Comment 1 Samuli Suominen (RETIRED) gentoo-dev 2007-06-24 21:57:34 UTC
Anyone in video has this hardware? 

Fixed some 'qa' issues for bug 174751 and bug 174752 but they still seem like a mess, we should dump version supporting 2.4 kernels and clean up all them to use linux-mod.eclass..

And bump this. I'll do that, if no response comes here in coming days.. weeks or so.
Comment 2 Patrick Kursawe (RETIRED) gentoo-dev 2007-06-25 08:08:54 UTC
(In reply to comment #0)
> The current version of usb-pwc-re in portage (20061023.042702-r1) has some
> bugs. The bug I came across does not allow webcams to be used with Flash. I
> updated to the latest snapshot for today (20070524.042701) and I no longer
> experience this bug.
> 
> The only change that needs to be made to the ebuild is that in src_unpack() the
> config.h.patch should no longer be applied.
> 
> Reproducible: Always

Please let us known which kernel sources you were using.


Comment 3 Patrick Kursawe (RETIRED) gentoo-dev 2007-06-25 08:26:10 UTC
Regarding the original version bump request - is there any special reason that prevents you from just using the driver that is shipped with current linux kernels?
Comment 4 Nicholas Doyle 2007-06-25 12:35:06 UTC
Kernel:
Linux A8 2.6.21-gentoo-r2 #3 SMP PREEMPT Sun May 27 20:10:59 ADT 2007 x86_64 Intel(R) Core(TM)2 CPU T7200 @ 2.00GHz GenuineIntel GNU/Linux

I have not used the in kernel version of this driver because I have always had problems with it. I have always gotten a gray screen instead of the expected video. I also don't know how up to date the version in the kernel is which is important because the whole point of this bug is to get a version of the driver which is up to date and has certain bugs fixed. I can try the in kernel versions later tonight, if you think that would be helpful, to see if there has been any changes in behavior but I have a feeling I will get my usual results.
Comment 5 Patrick Kursawe (RETIRED) gentoo-dev 2007-07-16 08:28:04 UTC
(In reply to comment #4)
[...]
> I can try the in kernel
> versions later tonight, if you think that would be helpful, to see if there has
> been any changes in behavior but I have a feeling I will get my usual results.

Hm, I thought that question was implying that you would try - yes, please do so and re-open with the results.

Comment 6 Nicholas Doyle 2007-09-20 12:57:17 UTC
In kernel version of this driver works for me using gentoo-sources 2.6.22. Is there much need for the separate package in portage now (particularly if it does not work as well as the in kernel version)?